- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP6ParagraphGroup_LeftMarginAdjustmentSubGroup Class Reference

`#include <WP6ParagraphGroup.h>`

Inheritance diagram for WP6ParagraphGroup_LeftMarginAdjustmentSubGroup:

## Public Member Functions
| WP6ParagraphGroup_LeftMarginAdjustmentSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Attributes
signed short | m_leftMargin

## Constructor & Destructor Documentation

WP6ParagraphGroup_LeftMarginAdjustmentSubGroup::WP6ParagraphGroup_LeftMarginAdjustmentSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## Member Function Documentation

void WP6ParagraphGroup_LeftMarginAdjustmentSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs
| ) |  | const
| virtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

signed short WP6ParagraphGroup_LeftMarginAdjustmentSubGroup::m_leftMargin
| private

Referenced by parse(), and WP6ParagraphGroup_LeftMarginAdjustmentSubGroup().

The documentation for this class was generated from the following files:

- WP6ParagraphGroup.h
- WP6ParagraphGroup.cpp